# -------------------- Chapters --------------------

TEST_DATA_CHAPTER_1 = \
    {
        "start_time": 60,
        "name": "test1"
    }
TEST_DATA_CHAPTER_1_MOD = TEST_DATA_CHAPTER_1 | \
    {
        "id": 1,
        "is_visible": True
    }

TEST_DATA_CHAPTER_2 = \
    {
        "start_time": 7200,
        "name": "test2"
    }
TEST_DATA_CHAPTER_2_MOD = TEST_DATA_CHAPTER_2 | \
    {
        "id": 2,
        "is_visible": True
    }

_TEST_DATA_CHAPTER_3 = \
    {
        "start_time": 360,
        "name": "Hidden"
    }
TEST_DATA_CHAPTER_3_MOD = _TEST_DATA_CHAPTER_3 | \
    {
        "id": 3,
        "is_visible": False
    }

TEST_DATA_CHAPTER_5 = \
    {
        "start_time": 429,
        "name": "Something"
    }
TEST_DATA_CHAPTER_5_MOD = TEST_DATA_CHAPTER_5 | \
    {
        "id": 5,
        "is_visible": True
    }

# -------------------- Media sources --------------------

TEST_DATA_MEDIA_SOURCE_185 = \
    {
        "quality": {
            "name": "720p",
            "resolution": "1280x720",
            "aspect_ration": "16:9",
            "priority": 10
        },
        "size": 418148064,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/pub/09ss-fosap/09ss-fosap-090416.mp4",
        "download_url": "https://video.fsmpi.rwth-aachen.de/files/pub/09ss-fosap/09ss-fosap-090416.mp4"
    }
TEST_DATA_MEDIA_SOURCE_185_MOD = TEST_DATA_MEDIA_SOURCE_185 | \
    {
        "id": 185,
        "is_visible": True
    }

TEST_DATA_MEDIA_SOURCE_186 = \
    {
        "quality": {
            "name": "720p",
            "resolution": "1280x720",
            "aspect_ration": "16:9",
            "priority": 10
        },
        "size": 246922038,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/pub/09ss-fosap/09ss-fosap-090421.mp4",
        "download_url": "https://video.fsmpi.rwth-aachen.de/files/pub/09ss-fosap/09ss-fosap-090421.mp4"
    }
TEST_DATA_MEDIA_SOURCE_186_MOD = TEST_DATA_MEDIA_SOURCE_186 | \
    {
        "id": 186,
        "is_visible": True
    }

TEST_DATA_MEDIA_SOURCE_204 = \
    {
        "quality": {
            "name": "1080p",
            "resolution": "1920x1080",
            "aspect_ration": "16:9",
            "priority": 7
        },
        "size": 228716898,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/pub/09ss-fosap/09ss-fosap-090421.f4v",
        "download_url": "https://video.fsmpi.rwth-aachen.de/files/pub/09ss-fosap/09ss-fosap-090421.f4v"
    }
TEST_DATA_MEDIA_SOURCE_204_MOD = TEST_DATA_MEDIA_SOURCE_204 | \
    {
        "id": 204,
        "is_visible": True
    }

TEST_DATA_MEDIA_SOURCE_1366 = \
    {
        "quality": {
            "name": "Format unbekannt",
            "resolution": "",
            "aspect_ration": "",
            "priority": 0
        },
        "size": 309620019,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/vpnonline/07ws-buk/07ws-buk-071019.mp4",
        "download_url": "https://video.fsmpi.rwth-aachen.de/files/vpnonline/07ws-buk/07ws-buk-071019.mp4"
    }
TEST_DATA_MEDIA_SOURCE_1366_MOD = TEST_DATA_MEDIA_SOURCE_1366 | \
    {
        "id": 1366,
        "is_visible": True
    }

TEST_DATA_MEDIA_SOURCE_1367 = \
    {
        "quality": {
            "name": "Format unbekannt",
            "resolution": "",
            "aspect_ration": "",
            "priority": 0
        },
        "size": 442344305,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/vpnonline/07ws-buk/07ws-buk-071023.mp4",
        "download_url": "https://video.fsmpi.rwth-aachen.de/files/vpnonline/07ws-buk/07ws-buk-071023.mp4"
    }
TEST_DATA_MEDIA_SOURCE_1367_MOD = TEST_DATA_MEDIA_SOURCE_1367 | \
    {
        "id": 1367,
        "is_visible": True
    }

_TEST_DATA_MEDIA_SOURCE_1368 = \
    {
        "quality": {
            "name": "Format unbekannt",
            "resolution": "",
            "aspect_ration": "",
            "priority": 0
        },
        "size": 496109745,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/vpnonline/07ws-buk/07ws-buk-071026.mp4",
        "download_url": "https://video.fsmpi.rwth-aachen.de/files/vpnonline/07ws-buk/07ws-buk-071026.mp4",
    }
TEST_DATA_MEDIA_SOURCE_1368_MOD = _TEST_DATA_MEDIA_SOURCE_1368 | \
    {
        "id": 1368,
        "is_visible": False
    }

TEST_DATA_MEDIA_SOURCE_1486 = \
    {
        "quality": {
            "name": "Format unbekannt",
            "resolution": "",
            "aspect_ration": "",
            "priority": 0
        },
        "size": 398065123,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/pub/07ws-diskrete/07ws-diskrete-071218.mp4",
        "download_url": "https://video.fsmpi.rwth-aachen.de/files/pub/07ws-diskrete/07ws-diskrete-071218.mp4"
    }
TEST_DATA_MEDIA_SOURCE_1486_MOD = TEST_DATA_MEDIA_SOURCE_1486 | \
    {
        "id": 1486,
        "is_visible": True
    }

TEST_DATA_MEDIA_SOURCE_1487 = \
    {
        "quality": {
            "name": "Format unbekannt",
            "resolution": "",
            "aspect_ration": "",
            "priority": 0
        },
        "size": 389368926,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/pub/07ws-diskrete/07ws-diskrete-080117.mp4",
        "download_url": "https://video.fsmpi.rwth-aachen.de/files/pub/07ws-diskrete/07ws-diskrete-080117.mp4"
    }
TEST_DATA_MEDIA_SOURCE_1487_MOD = TEST_DATA_MEDIA_SOURCE_1487 | \
    {
        "id": 1487,
        "is_visible": True
    }

TEST_DATA_MEDIA_SOURCE_1495 = \
    {
        "quality": {
            "name": "Format unbekannt",
            "resolution": "",
            "aspect_ration": "",
            "priority": 0
        },
        "size": 549478861,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/pub/07ws-diskrete/07ws-diskrete-071211.mp4",
        "download_url": "https://video.fsmpi.rwth-aachen.de/files/pub/07ws-diskrete/07ws-diskrete-071211.mp4"
    }
TEST_DATA_MEDIA_SOURCE_1495_MOD = TEST_DATA_MEDIA_SOURCE_1495 | \
    {
        "id": 1495,
        "is_visible": True
    }

TEST_DATA_MEDIA_SOURCE_1497 = \
    {
        "quality": {
            "name": "720p",
            "resolution": "1280x720",
            "aspect_ration": "16:9",
            "priority": 10
        },
        "size": 687254584,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/vpnonline/11ws-infin/11ws-infin-111010.mp4"
    }
TEST_DATA_MEDIA_SOURCE_1497_MOD = TEST_DATA_MEDIA_SOURCE_1497 | \
    {
        "id": 1497,
        "is_visible": True
    }

TEST_DATA_MEDIA_SOURCE_1539 = \
    {
        "quality": {
            "name": "720p",
            "resolution": "1280x720",
            "aspect_ration": "16:9",
            "priority": 10
        },
        "size": 1080865275,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/vpnonline/11ws-infin/11ws-infin-111017.mp4"
    }
TEST_DATA_MEDIA_SOURCE_1539_MOD = TEST_DATA_MEDIA_SOURCE_1539 | \
    {
        "id": 1539,
        "is_visible": True
    }

TEST_DATA_MEDIA_SOURCE_1540 = \
    {
        "quality": {
            "name": "720p",
            "resolution": "1280x720",
            "aspect_ration": "16:9",
            "priority": 10
        },
        "size": 1042222975,
        "comment": "",
        "player_url": "https://video.fsmpi.rwth-aachen.de/files/vpnonline/11ws-infin/11ws-infin-111024.mp4"
    }
TEST_DATA_MEDIA_SOURCE_1540_MOD = TEST_DATA_MEDIA_SOURCE_1540 | \
    {
        "id": 1540,
        "is_visible": True
    }

# -------------------- Lectures --------------------

TEST_DATA_LECTURE_1_NO_CHAP_MEDIA = \
    {
        "id": 1,
        "course_id": 2,
        "title": "Einführung zur Berechenbarkeit",
        "speaker": "",
        "location": "",
        "time": "2007-10-19T12:00:00",
        "duration": 0,
        "description": "",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_1.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": True,
        "authentication_methods": [
            "rwth",
            "fsmpi"
        ]
    }
TEST_DATA_LECTURE_1_NO_CHAP_MEDIA_MOD = TEST_DATA_LECTURE_1_NO_CHAP_MEDIA | \
    {
        "is_visible": True,
        "internal_comment": ""
    }
TEST_DATA_LECTURE_1 = TEST_DATA_LECTURE_1_NO_CHAP_MEDIA | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1366]
}
TEST_DATA_LECTURE_1_MOD = TEST_DATA_LECTURE_1_NO_CHAP_MEDIA_MOD | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1366_MOD]
}

TEST_DATA_LECTURE_2_NO_CHAP_MEDIA = \
    {
        "id": 2,
        "course_id": 2,
        "title": "Einführung zur Berechenbarkeit",
        "speaker": "",
        "location": "",
        "time": "2007-10-23T08:30:00",
        "duration": 0,
        "description": "",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_2.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": True,
        "authentication_methods": [
            "rwth",
            "fsmpi"
        ]
    }
TEST_DATA_LECTURE_2_NO_CHAP_MEDIA_MOD = TEST_DATA_LECTURE_2_NO_CHAP_MEDIA | \
    {
        "is_visible": True,
        "internal_comment": ""
    }
TEST_DATA_LECTURE_2 = TEST_DATA_LECTURE_2_NO_CHAP_MEDIA | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1367]
}
TEST_DATA_LECTURE_2_MOD = TEST_DATA_LECTURE_2_NO_CHAP_MEDIA_MOD | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1367_MOD]
}

TEST_DATA_LECTURE_3_NO_CHAP_MEDIA = \
    {
        "id": 3,
        "course_id": 2,
        "title": "Einführung zur Berechenbarkeit",
        "speaker": "",
        "location": "",
        "time": "2007-10-26T12:00:00",
        "duration": 0,
        "description": "",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_3.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": True,
        "authentication_methods": ["public"]
    }
TEST_DATA_LECTURE_3_NO_CHAP_MEDIA_MOD = TEST_DATA_LECTURE_3_NO_CHAP_MEDIA | \
    {
        "is_visible": True,
        "internal_comment": ""
    }
TEST_DATA_LECTURE_3 = TEST_DATA_LECTURE_3_NO_CHAP_MEDIA | {
    "chapters": [TEST_DATA_CHAPTER_5],
    "media_sources": []
}
TEST_DATA_LECTURE_3_MOD = TEST_DATA_LECTURE_3_NO_CHAP_MEDIA_MOD | {
    "chapters": [TEST_DATA_CHAPTER_5_MOD],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1368_MOD]
}

TEST_DATA_LECTURE_25_NO_CHAP_MEDIA = \
    {
        "id": 25,
        "course_id": 3,
        "title": "Graphentheorie: Grundbegriffe, Datenstrukturen, Algorithmus für Breitensuche",
        "speaker": "",
        "location": "",
        "time": "2007-12-11T13:30:00",
        "duration": 0,
        "description": "",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_25.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": False,
        "authentication_methods": ["public"]
    }
TEST_DATA_LECTURE_25_NO_CHAP_MEDIA_MOD = TEST_DATA_LECTURE_25_NO_CHAP_MEDIA | \
    {
        "is_visible": True,
        "internal_comment": ""
    }
TEST_DATA_LECTURE_25 = TEST_DATA_LECTURE_25_NO_CHAP_MEDIA | {
    "chapters": [TEST_DATA_CHAPTER_1, TEST_DATA_CHAPTER_2],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1495]
}
TEST_DATA_LECTURE_25_MOD = TEST_DATA_LECTURE_25_NO_CHAP_MEDIA_MOD | {
    "chapters": [TEST_DATA_CHAPTER_1_MOD, TEST_DATA_CHAPTER_2_MOD],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1495_MOD]
}

_TEST_DATA_LECTURE_26_NO_CHAP_MEDIA = \
    {
        "id": 26,
        "course_id": 3,
        "title": "Hamiltonkreis, Eulertour, Eulerweg",
        "speaker": "",
        "location": "",
        "time": "2007-12-18T13:30:00",
        "duration": 0,
        "description": "",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_26.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": False,
        "authentication_methods": []
    }
TEST_DATA_LECTURE_26_NO_CHAP_MEDIA_MOD = _TEST_DATA_LECTURE_26_NO_CHAP_MEDIA | \
    {
        "is_visible": False,
        "internal_comment": "",
    }
TEST_DATA_LECTURE_26_MOD = TEST_DATA_LECTURE_26_NO_CHAP_MEDIA_MOD | {
    "chapters": [TEST_DATA_CHAPTER_3_MOD],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1486_MOD]
}

TEST_DATA_LECTURE_29_NO_CHAP_MEDIA = \
    {
        "id": 29,
        "course_id": 3,
        "title": "Modulare Arithmetik: Gruppe, Ring, Körper, abelsche Gruppe, Untergruppe, Einheitengruppe. Restklassenringe, Primzahl.",
        "speaker": "",
        "location": "",
        "time": "2008-01-17T08:15:00",
        "duration": 0,
        "description": "",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_29.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": False,
        "authentication_methods": ["password"]
    }
TEST_DATA_LECTURE_29_NO_CHAP_MEDIA_MOD = TEST_DATA_LECTURE_29_NO_CHAP_MEDIA | \
    {
        "is_visible": True,
        "internal_comment": ""
    }
TEST_DATA_LECTURE_29 = TEST_DATA_LECTURE_29_NO_CHAP_MEDIA | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1487]
}
TEST_DATA_LECTURE_29_MOD = TEST_DATA_LECTURE_29_NO_CHAP_MEDIA_MOD | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1487_MOD]
}

TEST_DATA_LECTURE_185_NO_CHAP_MEDIA = \
    {
        "id": 185,
        "course_id": 13,
        "title": "Organisatorisches, Motivation, Künstliche Pflanzen, Alphabete, Wörter, Sprachen",
        "speaker": "",
        "location": "",
        "time": "2009-04-16T10:00:00",
        "duration": 90,
        "description": "Sorry für den schlechten Ton",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_185.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": True,
        "authentication_methods": [
            "public"
        ]
    }
TEST_DATA_LECTURE_185_NO_CHAP_MEDIA_MOD = TEST_DATA_LECTURE_185_NO_CHAP_MEDIA | \
    {
        "is_visible": True,
        "internal_comment": "",
    }
TEST_DATA_LECTURE_185 = TEST_DATA_LECTURE_185_NO_CHAP_MEDIA | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_185]
}
TEST_DATA_LECTURE_185_MOD = TEST_DATA_LECTURE_185_NO_CHAP_MEDIA_MOD | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_185_MOD]
}

TEST_DATA_LECTURE_186_NO_CHAP_MEDIA = \
    {
        "id": 186,
        "course_id": 13,
        "title": "Alphabete, Wörter, Sprachen, Reguläre Ausdrücke",
        "speaker": "",
        "location": "",
        "time": "2009-04-21T08:15:00",
        "duration": 45,
        "description": "",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_186.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": True,
        "authentication_methods": [
            "public"
        ]
    }
TEST_DATA_LECTURE_186_NO_CHAP_MEDIA_MOD = TEST_DATA_LECTURE_186_NO_CHAP_MEDIA | \
    {
        "is_visible": True,
        "internal_comment": "",
    }
TEST_DATA_LECTURE_186 = TEST_DATA_LECTURE_186_NO_CHAP_MEDIA | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_186, TEST_DATA_MEDIA_SOURCE_204]
}
TEST_DATA_LECTURE_186_MOD = TEST_DATA_LECTURE_186_NO_CHAP_MEDIA_MOD | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_186_MOD, TEST_DATA_MEDIA_SOURCE_204_MOD]
}

TEST_DATA_LECTURE_1186_NO_CHAP_MEDIA = \
    {
        "id": 1186,
        "course_id": 62,
        "title": "Einführung, I. Grundlagen",
        "speaker": "",
        "location": "Aula",
        "time": "2011-10-10T18:30:00",
        "duration": 90,
        "description": "",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_1186.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": True,
        "authentication_methods": ["moodle"]
    }
TEST_DATA_LECTURE_1186_NO_CHAP_MEDIA_MOD = TEST_DATA_LECTURE_1186_NO_CHAP_MEDIA | \
    {
        "is_visible": True,
        "internal_comment": ""
    }
TEST_DATA_LECTURE_1186 = TEST_DATA_LECTURE_1186_NO_CHAP_MEDIA | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1497]
}
TEST_DATA_LECTURE_1186_MOD = TEST_DATA_LECTURE_1186_NO_CHAP_MEDIA_MOD | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1497_MOD]
}

TEST_DATA_LECTURE_1187_NO_CHAP_MEDIA = \
    {
        "id": 1187,
        "course_id": 62,
        "title": "",
        "speaker": "",
        "location": "Aula",
        "time": "2011-10-17T18:30:00",
        "duration": 90,
        "description": "noch kein Titel",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_1187.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": True,
        "authentication_methods": ["moodle"]
    }
TEST_DATA_LECTURE_1187_NO_CHAP_MEDIA_MOD = TEST_DATA_LECTURE_1187_NO_CHAP_MEDIA | \
    {
        "is_visible": True,
        "internal_comment": ""
    }
TEST_DATA_LECTURE_1187 = TEST_DATA_LECTURE_1187_NO_CHAP_MEDIA | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1539]
}
TEST_DATA_LECTURE_1187_MOD = TEST_DATA_LECTURE_1187_NO_CHAP_MEDIA_MOD | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1539_MOD]
}

TEST_DATA_LECTURE_1188_NO_CHAP_MEDIA = \
    {
        "id": 1188,
        "course_id": 62,
        "title": "",
        "speaker": "",
        "location": "Aula",
        "time": "2050-10-24T18:30:00",
        "duration": 90,
        "description": "noch kein Titel",
        "thumbnail_url": "https://video.fsmpi.rwth-aachen.de/files/thumbnail/l_1188.jpg",
        "no_recording": False,
        "livestream_planned": False,
        "allow_embed": True,
        "authentication_methods": ["moodle"]
    }
TEST_DATA_LECTURE_1188_NO_CHAP_MEDIA_MOD = TEST_DATA_LECTURE_1188_NO_CHAP_MEDIA | \
    {
        "is_visible": True,
        "internal_comment": ""
    }
TEST_DATA_LECTURE_1188 = TEST_DATA_LECTURE_1188_NO_CHAP_MEDIA | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1540]
}
TEST_DATA_LECTURE_1188_MOD = TEST_DATA_LECTURE_1188_NO_CHAP_MEDIA_MOD | {
    "chapters": [],
    "media_sources": [TEST_DATA_MEDIA_SOURCE_1540_MOD]
}

# -------------------- Courses --------------------

TEST_DATA_COURSE_2_NO_LEC = \
    {
        "id": 2,
        "id_string": "07ws-buk",
        "full_name": "Berechenbarkeit und Komplexität",
        "short_name": "BuK",
        "organizer": "Prof. Vöcking",
        "topic": "Informatik",
        "description": "Seite zur Veranstaltung...",
        "show_chapters_on_course": False,
        "semester": "2007ws",
        "default_authentication_methods": [
            "rwth",
            "fsmpi"
        ]
    }
TEST_DATA_COURSE_2_NO_LEC_MOD = TEST_DATA_COURSE_2_NO_LEC | \
    {
        "is_listed": True,
        "is_visible": True
    }
TEST_DATA_COURSE_2 = TEST_DATA_COURSE_2_NO_LEC | {
    "lectures": [TEST_DATA_LECTURE_1, TEST_DATA_LECTURE_2, TEST_DATA_LECTURE_3]
}
TEST_DATA_COURSE_2_MOD = TEST_DATA_COURSE_2_NO_LEC_MOD | {
    "lectures": [TEST_DATA_LECTURE_1_MOD, TEST_DATA_LECTURE_2_MOD, TEST_DATA_LECTURE_3_MOD]
}

TEST_DATA_COURSE_3_NO_LEC = \
    {
        "id": 3,
        "id_string": "07ws-diskrete",
        "full_name": "Diskrete Strukturen",
        "short_name": "Diskrete",
        "organizer": "Prof. Hiß",
        "topic": "Informatik",
        "description": "Von dieser Vorlesungsreihe fehlen die ersten zwei Monate. Wenn wir die Gelegenheit bekommen, filmen wir gerne nochmal.",
        "show_chapters_on_course": False,
        "semester": "2007ws",
        "default_authentication_methods": []
    }
TEST_DATA_COURSE_3_NO_LEC_MOD = TEST_DATA_COURSE_3_NO_LEC | \
    {
        "is_listed": True,
        "is_visible": True
    }
TEST_DATA_COURSE_3 = TEST_DATA_COURSE_3_NO_LEC | {
    "lectures": [TEST_DATA_LECTURE_25, TEST_DATA_LECTURE_29]
}
TEST_DATA_COURSE_3_MOD = TEST_DATA_COURSE_3_NO_LEC_MOD | {
    "lectures": [TEST_DATA_LECTURE_25_MOD, TEST_DATA_LECTURE_26_MOD, TEST_DATA_LECTURE_29_MOD]
}

_TEST_DATA_COURSE_13_NO_LEC = \
    {
        "id": 13,
        "id_string": "09ss-fosap",
        "full_name": "Formale Systeme, Automaten, Prozesse",
        "short_name": "FoSAP",
        "organizer": "Prof. Rossmanith",
        "topic": "Informatik",
        "description": "Seite des Lehrstuhls ...",
        "show_chapters_on_course": False,
        "semester": "2009ss",
        "default_authentication_methods": [
            "public"
        ]
    }
TEST_DATA_COURSE_13_NO_LEC_MOD = _TEST_DATA_COURSE_13_NO_LEC | \
    {
        "is_listed": True,
        "is_visible": False
    }
TEST_DATA_COURSE_13_MOD = TEST_DATA_COURSE_13_NO_LEC_MOD | {
    "lectures": [TEST_DATA_LECTURE_185_MOD, TEST_DATA_LECTURE_186_MOD]
}

TEST_DATA_COURSE_62_NO_LEC = \
    {
        "id": 62,
        "id_string": "11ws-infin",
        "full_name": "Investition und Finanzierung",
        "short_name": "InFin",
        "organizer": "Prof. Breuer",
        "topic": "BWL",
        "description": "Seite im Campus ...",
        "show_chapters_on_course": False,
        "semester": "2011ws",
        "default_authentication_methods": [
            "moodle"
        ]
    }
TEST_DATA_COURSE_62_NO_LEC_MOD = TEST_DATA_COURSE_62_NO_LEC | \
    {
        "is_listed": False,
        "is_visible": True
    }
TEST_DATA_COURSE_62 = TEST_DATA_COURSE_62_NO_LEC | {
    "lectures": [TEST_DATA_LECTURE_1186, TEST_DATA_LECTURE_1187, TEST_DATA_LECTURE_1188]
}
TEST_DATA_COURSE_62_MOD = TEST_DATA_COURSE_62_NO_LEC_MOD | {
    "lectures": [TEST_DATA_LECTURE_1186_MOD, TEST_DATA_LECTURE_1187_MOD, TEST_DATA_LECTURE_1188_MOD]
}

# -------------------- Announcements --------------------

TEST_DATA_ANNOUNCEMENT_1 = \
    {
        "id": 1,
        "text": "Test Ankündigung",
        "type": "info",
        "visibility": "only_main_page"
    }
TEST_DATA_ANNOUNCEMENT_1_MOD = TEST_DATA_ANNOUNCEMENT_1 | \
    {
        "is_currently_visible": True,
        "has_expired": False
    }

TEST_DATA_ANNOUNCEMENT_2 = \
    {
        "id": 2,
        "text": "Neue Ankündigung",
        "type": "info",
        "visibility": "all_pages"
    }
TEST_DATA_ANNOUNCEMENT_2_MOD = TEST_DATA_ANNOUNCEMENT_2 | \
    {
        "is_currently_visible": True,
        "has_expired": False
    }

_TEST_DATA_ANNOUNCEMENT_3 = \
    {
        "id": 3,
        "text": "Versteckte Ankündigung",
        "type": "info",
        "visibility": "all_pages"
    }
TEST_DATA_ANNOUNCEMENT_3_MOD = _TEST_DATA_ANNOUNCEMENT_3 | \
    {
        "is_currently_visible": False,
        "has_expired": False
    }

_TEST_DATA_ANNOUNCEMENT_4 = \
    {
        "id": 4,
        "text": "Upcoming Announcement",
        "type": "warning",
        "visibility": "all_pages"
    }
TEST_DATA_ANNOUNCEMENT_4_MOD = _TEST_DATA_ANNOUNCEMENT_4 | \
    {
        "is_currently_visible": False,
        "has_expired": False
    }

_TEST_DATA_ANNOUNCEMENT_5 = \
    {
        "id": 5,
        "text": "Expired Announcement",
        "type": "info",
        "visibility": "only_main_page"
    }
TEST_DATA_ANNOUNCEMENT_5_MOD = _TEST_DATA_ANNOUNCEMENT_5 | \
    {
        "is_currently_visible": False,
        "has_expired": True
    }

# -------------------- Featured --------------------

TEST_DATA_FEATURED_1 = \
    {
        "type": "plain",
        "title": "Video AG",
        "text": "Wir machen Vorlesungsvideos"
    }
TEST_DATA_FEATURED_1_MOD = TEST_DATA_FEATURED_1 | \
    {
        "id": 1,
        "is_visible": True,
        "display_priority": 3
    }

_TEST_DATA_FEATURED_2 = \
    {
        "type": "image",
        "title": "Image Panel",
        "text": "",
        "image_url": "https://example.com/image.jpg"
    }
TEST_DATA_FEATURED_2_MOD = _TEST_DATA_FEATURED_2 | \
    {
        "id": 2,
        "is_visible": False,
        "display_priority": 0
    }

TEST_DATA_FEATURED_3 = \
    {
        "type": "course_list",
        "title": "Courses Panel",
        "text": "Vom Winter 07",
        "courses": [2, 3]
    }
TEST_DATA_FEATURED_3_MOD = TEST_DATA_FEATURED_3 | \
    {
        "id": 3,
        "is_visible": True,
        "display_priority": 1
    }

TEST_DATA_FEATURED_4 = \
    {
        "type": "lecture",
        "title": "Lecture Panel",
        "text": "Watch this!",
        "lecture": TEST_DATA_LECTURE_3_NO_CHAP_MEDIA
    }
TEST_DATA_FEATURED_4_MOD = TEST_DATA_FEATURED_4 | \
    {
        "lecture": TEST_DATA_LECTURE_3_NO_CHAP_MEDIA_MOD,
        "id": 4,
        "is_visible": True,
        "display_priority": 2
    }
